- [HTTP request](https://developers.google.com/display-video/api/reference/rest/v4/inventorySources/editInventorySourceReadWriteAccessors#body.HTTP_TEMPLATE)
- [Path parameters](https://developers.google.com/display-video/api/reference/rest/v4/inventorySources/editInventorySourceReadWriteAccessors#body.PATH_PARAMETERS)
- [Request body](https://developers.google.com/display-video/api/reference/rest/v4/inventorySources/editInventorySourceReadWriteAccessors#body.request_body)
  - [JSON representation](https://developers.google.com/display-video/api/reference/rest/v4/inventorySources/editInventorySourceReadWriteAccessors#body.request_body.SCHEMA_REPRESENTATION)
- [Response body](https://developers.google.com/display-video/api/reference/rest/v4/inventorySources/editInventorySourceReadWriteAccessors#body.response_body)
- [Authorization scopes](https://developers.google.com/display-video/api/reference/rest/v4/inventorySources/editInventorySourceReadWriteAccessors#body.aspect)
- [AdvertisersUpdate](https://developers.google.com/display-video/api/reference/rest/v4/inventorySources/editInventorySourceReadWriteAccessors#AdvertisersUpdate)
  - [JSON representation](https://developers.google.com/display-video/api/reference/rest/v4/inventorySources/editInventorySourceReadWriteAccessors#AdvertisersUpdate.SCHEMA_REPRESENTATION)
- [Try it!](https://developers.google.com/display-video/api/reference/rest/v4/inventorySources/editInventorySourceReadWriteAccessors#try-it)

Edits read/write accessors of an inventory source. Returns the updated `https://developers.google.com/display-video/api/reference/rest/v4/inventorySources#InventorySource.FIELDS.read_write_accessors` for the inventory source.

### HTTP request

`POST https://displayvideo.googleapis.com/v4/inventorySources/{inventorySourceId}:editInventorySourceReadWriteAccessors`

The URL uses [gRPC Transcoding](https://google.aip.dev/127) syntax.

### Path parameters

| Parameters ||
|---|---|
| `inventorySourceId` | `string (https://developers.google.com/discovery/v1/type-format format)` Required. The ID of inventory source to update. |

### Request body

The request body contains data with the following structure:

| JSON representation |
|---|
| ``` { "partnerId": string, // The following is a list of mutually exclusive fields. At most one of the // fields will be set in a response: "assignPartner": boolean, "advertisersUpdate": { object (`https://developers.google.com/display-video/api/reference/rest/v4/inventorySources/editInventorySourceReadWriteAccessors#AdvertisersUpdate`) } // End of mutually exclusive fields. } ``` |

| Fields ||
|---|---|
| `partnerId` | `string (https://developers.google.com/discovery/v1/type-format format)` Required. The partner context by which the accessors change is being made. |
| The change to the read/write accessors of the inventory source. The following is a list of mutually exclusive fields. At most one of the fields will be set in a response: ||
| `assignPartner` | `boolean` Set the partner context as read/write accessor of the inventory source. This will remove all other current read/write advertiser accessors. |
| `advertisersUpdate` | ``object (`https://developers.google.com/display-video/api/reference/rest/v4/inventorySources/editInventorySourceReadWriteAccessors#AdvertisersUpdate`)`` The advertisers to add or remove from the list of advertisers that have read/write access to the inventory source. This change will remove an existing partner read/write accessor. |
| End of mutually exclusive fields. ||

### Response body

If successful, the response body contains an instance of `https://developers.google.com/display-video/api/reference/rest/v4/inventorySources#InventorySourceAccessors`.

### Authorization scopes

Requires the following OAuth scope:

- `https://www.googleapis.com/auth/display-video`

For more information, see the [OAuth 2.0 Overview](https://developers.google.com/identity/protocols/OAuth2).

## AdvertisersUpdate

Update to the list of advertisers with read/write access to the inventory source.

| JSON representation |
|---|
| ``` { "addedAdvertisers": [ string ], "removedAdvertisers": [ string ] } ``` |

| Fields ||
|---|---|
| `addedAdvertisers[]` | `string (https://developers.google.com/discovery/v1/type-format format)` The advertisers to add. |
| `removedAdvertisers[]` | `string (https://developers.google.com/discovery/v1/type-format format)` The advertisers to remove. |